%define _altdata_dir %_datadir/alterator

Name: alterator-services
Version: 1.1.6
Release: alt6

Summary: Simple SysV services configurator
License: GPL
Group: System/Configuration/Other

Url: http://wiki.sisyphus.ru/Alterator
Source: %name-%version.tar
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
BuildPreReq: alterator >= 2.9-alt0.10, alterator-standalone >= 2.5-alt0.3, alterator-fbi >= 0.7-alt1
Requires: alterator-standalone

%description
Alterator module for SysV services administration

%description -l ru_RU.UTF-8
Модуль для управления сервисами на платформе Альтератор

%prep
%setup -q

%build
%make_build

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_sysconfdir/alterator/profile.d/*
%_bindir/*
%_desktopdir/*
%_altdata_dir/maps/*
%_altdata_dir/ui/*/
%_alterator_backend3dir/*
%_var/www/html/*

%changelog
* Fri May 25 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt6
- Encode Russian text in UTF-8 for alterator-fbi compatibility.

* Thu May 03 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt5
- Show service description.
- Guess default runlevels on a new service addition.
- Change 'New service' workflow from form to card-index.
- Code cleanup:
  + wrap function works on stdin;
  + hide service status command errors.

* Sat Apr 28 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt4
- Ukrainian localization (tanks to Serhii Hlodin).

* Fri Apr 27 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt3
- List all known services by default.
- Look for unknown services in initdir.
- Replace "New service" link with a button.
- Update for resent CSS.

* Tue Apr 24 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt2
- Choose service to enable from list. 

* Tue Apr 17 2007 Grigory Batalov <bga@altlinux.ru> 1.1.6-alt1
- Web-frontend added. 

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.5-alt1
- fixed silly thinko in maps/services.map

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.4-alt1
- remembered to cleanup deprecated renew_services in backend3/services

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.3-alt4
- hopefully fixed maps/

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.3-alt3
- fixed %%files

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.3-alt2
- looked further (at build deps)...

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.3-alt1
- looked at alterator-control/Makefile, as proposed by inger@

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.2-alt1
- *fixed* Makefile

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.1-alt4
- fixed %%setup

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.1-alt3
- added Packager:

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.1-alt2
- s/tar\.bz2/tar/

* Mon Apr 02 2007 Michael Shigorin <mike@altlinux.org> 1.1.1-alt1
- 1.1.1 (s/ui\.mak/ui2.mak/, should fix build)

* Sun Oct 01 2006 Michael Shigorin <mike@altlinux.org> 1.1-alt1
- 1.1 (updated to current alterator)

* Sat May 13 2006 Michael Shigorin <mike@altlinux.org> 1.0-alt3
- fixed #9545 (spurious messages due to global var influenced)
  + thanks Alexey Gladkov (legion@) for debug/fix!

* Sat May 06 2006 Michael Shigorin <mike@altlinux.org> 1.0-alt2
- typo fixes

* Fri May 05 2006 Dmitri Kuzishchin <dim@altlinux.ru> 1.0-alt1
- this version switches on/off the services for all runlevel and add stop/start function

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 0.1.2-alt1
- minor ui enhancement/speedup (no more flicker/scrollbar reset
  due to full document reload), thanks inger@

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 0.1.1-alt1
- minor backend fixes/cleanups

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 0.1-alt1
- initial release
- based on Stanislav Ievlev's proposed spec template
- thanks for advice:
  + Stanislav Ievlev (inger@)
  + Sergey Bolshakov (sbolshakov@)
  + Anton Farygin (rider@)
